## xutf8 0.1.1-1

=== debian/changelog ===
xutf8 (0.1.1-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sat, 21 Feb 2004 15:22:45 -0800

xutf8 (0.1.0-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Fri, 29 Aug 2003 15:22:45 -0800

xutf8 (0.0.9-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Mon, 11 Dec 2002 15:22:45 -0800

xutf8 (0.0.8-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Fri, 1 Nov 2002 15:22:45 -0800

xutf8 (0.0.7-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Fri, 1 Nov 2002 15:22:45 -0800

xutf8 (0.0.6-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Wed, 1 May 2002 15:22:45 -0800

xutf8 (0.0.5-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sat, 22 Dec 2001 15:22:45 -0800

xutf8 (0.0.4-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Mon, 19 Dec 2001 15:22:45 -0800

xutf8 (0.0.3-1) frozen unstable; urgency=low

  * New upstream

 -- Jean-Marc Lienher <oksid@bluewin.ch>  Sat, 20 Oct 2001 15:22:45 -0800

Local variables:
mode: debian-changelog
End:
