=== debian/control ===
Source: xutf8
Section: main
Priority: optional
Maintainer: Jean-Marc Lienher <oksid@bluewin.ch>
Standards-Version: 3.1.0

Package: libxutf8
Section: libs
Architecture: any
Depends: xlibs, ${shlibs:Depends}
Description: X11 UTF-8 text drawing extension.

Package: libxutf8-dev
Section: devel
Architecture: any
Depends: libxutf8 (= ${Source-Version}), libc-dev, xlibs-dev (>= 3.3-5)
Description: X11 UTF-8 text drawing extension.
 This includes the static libraries and header files to build programs.
 .
